> ## Documentation Index
> Fetch the complete documentation index at: https://developers.closebot.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a Web-Scrape file



## OpenAPI

````yaml https://megastream25-api.closebot.com/swagger/v1/swagger.json post /library/webscrape
openapi: 3.0.1
info:
  title: CloseBot API
  version: v1
servers:
  - url: https://api.closebot.com
    description: CloseBot API Endpoint
security:
  - Key: []
paths:
  /library/webscrape:
    post:
      tags:
        - Library
      summary: Create a Web-Scrape file
      requestBody:
        description: The input containing the webscrape information.
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UploadWebscrapeToSourceInput'
          text/json:
            schema:
              $ref: '#/components/schemas/UploadWebscrapeToSourceInput'
          application/*+json:
            schema:
              $ref: '#/components/schemas/UploadWebscrapeToSourceInput'
      responses:
        '200':
          description: Success
components:
  schemas:
    UploadWebscrapeToSourceInput:
      type: object
      properties:
        scrapeUrl:
          type: string
          nullable: true
        maxBreadth:
          type: integer
          format: int32
        maxDepth:
          type: integer
          format: int32
      additionalProperties: false
  securitySchemes:
    Key:
      type: apiKey
      description: CloseBot API Key Authorization
      name: X-CB-KEY
      in: header

````